--- old/usr/src/uts/sun4v/io/vnet.c	Wed Jan 22 15:25:07 2020
+++ new/usr/src/uts/sun4v/io/vnet.c	Wed Jan 22 15:25:07 2020
@@ -22,6 +22,7 @@
 /*
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2018 Joyent, Inc.
  */
 
 #include <sys/types.h>
@@ -1132,9 +1133,9 @@
 static int
 vnet_read_mac_address(vnet_t *vnetp)
 {
-	uchar_t 	*macaddr;
-	uint32_t 	size;
-	int 		rv;
+	uchar_t		*macaddr;
+	uint32_t	size;
+	int		rv;
 
 	rv = ddi_prop_lookup_byte_array(DDI_DEV_T_ANY, vnetp->dip,
 	    DDI_PROP_DONTPASS, macaddr_propname, &macaddr, &size);
@@ -2317,7 +2318,7 @@
  */
 static void
 vnet_get_group(void *arg, mac_ring_type_t type, const int index,
-	mac_group_info_t *infop, mac_group_handle_t handle)
+    mac_group_info_t *infop, mac_group_handle_t handle)
 {
 	vnet_t	*vnetp = (vnet_t *)arg;
 
@@ -2405,7 +2406,7 @@
 		return (0);
 	}
 
-	err = mac_hwring_start(rx_ringp->hw_rh);
+	err = mac_hwring_activate(rx_ringp->hw_rh);
 	if (err == 0) {
 		rx_ringp->gen_num = mr_gen_num;
 		rx_ringp->state |= VNET_RXRING_STARTED;
@@ -2443,7 +2444,7 @@
 		return;
 	}
 
-	mac_hwring_stop(rx_ringp->hw_rh);
+	mac_hwring_quiesce(rx_ringp->hw_rh);
 	rx_ringp->state &= ~VNET_RXRING_STARTED;
 }
 
@@ -2630,7 +2631,7 @@
 /* ARGSUSED */
 void
 vnet_hio_rx_cb(void *arg, mac_resource_handle_t mrh, mblk_t *mp,
-	boolean_t loopback)
+    boolean_t loopback)
 {
 	vnet_t			*vnetp = (vnet_t *)arg;
 	vnet_pseudo_rx_ring_t	*ringp = (vnet_pseudo_rx_ring_t *)mrh;
@@ -2846,7 +2847,7 @@
 
 		/* Start the hwring if needed */
 		if (rx_ringp->state & VNET_RXRING_STARTED) {
-			rv = mac_hwring_start(rx_ringp->hw_rh);
+			rv = mac_hwring_activate(rx_ringp->hw_rh);
 			if (rv != 0) {
 				mac_hwring_teardown(rx_ringp->hw_rh);
 				rx_ringp->hw_rh = NULL;
@@ -2920,7 +2921,7 @@
 		rx_ringp = &rx_grp->rings[i + VNET_HYBRID_RXRING_INDEX];
 		if (rx_ringp->hw_rh != NULL) {
 			/* Stop the hwring */
-			mac_hwring_stop(rx_ringp->hw_rh);
+			mac_hwring_quiesce(rx_ringp->hw_rh);
 
 			/* Teardown the hwring */
 			mac_hwring_teardown(rx_ringp->hw_rh);
